Bug Hunting Session
Bug 96175 - FILESAVE: Imported custom properties missing from exported RTF
Summary: FILESAVE: Imported custom properties missing from exported RTF
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.2.0 target:5.1.2 target:5.0.6
Keywords:
Depends on:
Blocks: RTF
  Show dependency treegraph
 
Reported: 2015-12-01 09:47 UTC by Gabor Kelemen
Modified: 2017-06-01 07:45 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file with a custom property set in File -> Properties (210.99 KB, application/rtf)
2015-12-01 09:47 UTC, Gabor Kelemen
Details
Screenshot of the original files Properties window (25.68 KB, image/png)
2015-12-01 09:48 UTC, Gabor Kelemen
Details
File modified and saved from LO 5.0.3 (206.57 KB, application/rtf)
2015-12-01 09:50 UTC, Gabor Kelemen
Details
Screenshot of the modified files Properties window. Custom property is missing. (22.42 KB, image/png)
2015-12-01 09:51 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2015-12-01 09:47:55 UTC
Created attachment 120912 [details]
Example file with a custom property set in File -> Properties

LibreOffice 5.0.3 imports the attached company_before.rtf mostly correctly. 
It also imports the custom properties it has, see customprop-before.png.

After doing any changes to the content and saving to RTF (see attached company_after.rtf), the custom property is missing, see customprop-after.png.

When saving to ODT, DOC or DOCX format the custom property is preserved. 
LO warns that some formatting or content cannot be saved to RTF, but the document is going to be processed by a third party application (which bails out without this property), so we need the document in RTF.
Comment 1 Gabor Kelemen 2015-12-01 09:48:47 UTC
Created attachment 120913 [details]
Screenshot of the original files Properties window
Comment 2 Gabor Kelemen 2015-12-01 09:50:27 UTC
Created attachment 120914 [details]
File modified and saved from LO 5.0.3
Comment 3 Gabor Kelemen 2015-12-01 09:51:15 UTC
Created attachment 120915 [details]
Screenshot of the modified files Properties window. Custom property is missing.
Comment 4 Buovjaga 2015-12-01 10:36:12 UTC
Repro.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: a7c3a2a9be83686657c06f37d521f9f6d2004ddd
Threads 4; Ver: Windows 6.1; Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2015-11-28_04:39:18
Locale: fi-FI (fi_FI)

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 5 Commit Notification 2016-01-29 12:20:41 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=abe8ea175ad9fc282a1e702acb74da5d7c967cbe

tdf#96175 RTF filter: export \company

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-02-19 14:53:11 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4b0390a9cb45f56a7c6d04eff795de8b63b13b2e&h=libreoffice-5-1

tdf#96175 RTF filter: export \company

It will be available in 5.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-02-25 12:57:52 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c3952d952ba6604af28eb116af5d26f6edda5a37&h=libreoffice-5-0

tdf#96175 RTF filter: export \company

It will be available in 5.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.